[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / IsTableRowActionTypeMethod

# Function: IsTableRowActionTypeMethod()

> **IsTableRowActionTypeMethod**\<`Data`\>(`type`): (`method`) => `method is TableRowActionTypeMethod<Data>`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts#L25)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Parameters

### type

`string`

## Returns

`Function`

### Parameters

#### method

[`TableRowActionMethod`](../type-aliases/TableRowActionMethod.md)\<`Data`\>

### Returns

`method is TableRowActionTypeMethod<Data>`
